import { z } from 'zod';
export declare const periodSchema: z.ZodObject<{
    start: z.ZodEffects<z.ZodDate, string, Date>;
    end: z.ZodOptional<z.ZodEffects<z.ZodDate, string, Date>>;
}, "strip", z.ZodTypeAny, {
    start: string;
    end?: string | undefined;
}, {
    start: Date;
    end?: Date | undefined;
}>;
